GIT-COLA(1)

NAME
git-cola - The highly caffeinated git GUI

SYNOPSIS
git cola [options] [sub-command]

DESCRIPTION
git-cola is a sleek and powerful git GUI.

OPTIONS

--amend
    Start git-cola in amend mode.

-g, --git-path
    Specifies the path to the git binary.

--prompt
    Prompt for a git repository instead of using the current directory.

-r, --repo=<path>
    Run git-cola on the git repository in <path>. Defaults to the current directory.

--version
    Print the git-cola version and exit.

SUB-COMMANDS

branch
    Create branches.

browse
    Browse tracked files.

config
    Configure git-cola settings.

diff
    Diff changed files.

fetch
    Fetch remote branches.

grep
    Use git grep to search for content.

merge
    Merge branches.

pull
    Fetch and merge remote branches.

push
    Push branches to remotes.

rebase
    Start an interactive rebase.

search
    Search for commits.

stash
    Stash modifications.

tag
    Create tags.

version
    Print the git-cola version.

CONFIG VARIABLES

cola.savewindowsettings
    git-cola will remember its window settings when set to true. These settings are saved in $HOME/.config/git-cola.

cola.fileattributes
    Enables per-file linkgit:gitattributes[5] encoding support when set to true. This tells git-cola to honor the configured encoding when displaying and applying diffs.

cola.fontdiff
    Specifies the font to use for git-cola's diff display.

cola.browserdockable
    Whether to create a dock widget with the Browser tool. Defaults to false to speedup startup time.

cola.inotify
    Set to false to disable inotify support. Defaults to true when the pyinotify module is available.

cola.linebreak
    Whether to automatically break long lines while editing commit messages. Defaults to true. This setting is configured using the Preferences dialog, but it can be toggled for one-off usage using the commit message editor’s settings sub-menu.

cola.tabwidth
    The number of columns occupied by a tab character.

cola.textwidth
    The number of columns used for line wrapping. Tabs are counted according to cola.tabwidth.

cola.readsize
    git-cola avoids reading large binary untracked files. The maximum size to read is controlled by cola.readsize and defaults to 2048.

gui.diffcontext
    The number of diff context lines used and displayed by git-cola.

gui.displayuntracked
    git-cola avoids showing untracked files when set to false.

gui.editor
    The default text editor is controlled by gui.editor. The config variable overrides the EDITOR environment variable.

gui.historybrowser
    Specifies the history browser to use when visualizing history.

diff.tool
    The default diff tool to use.

merge.tool
    The default merge tool to use.

user.email
    Your email address to be recorded in any newly created commits. Can be overridden by the GIT_AUTHOR_EMAIL, GIT_COMMITTER_EMAIL, and EMAIL environment variables. See linkgit:git-commit-tree[1].

user.name
    Your full name to be recorded in any newly created commits. Can be overridden by the GIT_AUTHOR_NAME and GIT_COMMITTER_NAME environment variables. See linkgit:git-commit-tree[1].
See linkgit:git-config[1] for more details.

ENVIRONMENT VARIABLES

EDITOR
    Specifies the default editor to use. This is ignored when the git config variable gui.editor is defined.

GIT_COLA_TRACE
    When defined, git-cola logs git commands to stdout. When set to full, git-cola also logs the exit status and output. When set to trace, git-cola logs to the Console widget.

LANGUAGE SETTINGS
git-cola automatically detects your language and presents some translations when available. This may not be desired, or you may want git-cola to use a specific language.

You can make git-cola use an alternative language by creating a ~/.config/git-cola/language file containing the standard two-letter gettext language code, e.g. "en", "de", "ja", "zh", etc.::

    echo en >~/.config/git-cola/language

SOURCE
A git-cola development repository can be obtained via git:

    git clone git://github.com/git-cola/git-cola.git

LINKS

git-cola homepage
    http://git-cola.github.io/

git-cola sources on github
    https://github.com/git-cola/git-cola/

SEE ALSO

linkgit:git-difftool[1]
    Compare changes using common merge tools.

linkgit:gitk[1]
    The git repository browser. Shows branches, commit history and file differences. gitk is the utility started by git-cola's Repository Visualize actions.

GIT
git-cola is independently developed from the linkgit:git[7] suite, but you can use it just like any other git command, e.g. git cola.

AUTHOR
Written by David Aguilar <davvid@gmail.com[1]>.

NOTES

1.  davvid@gmail.com
    mailto:davvid@gmail.com